//
// CoreUI default colors
//

$white:  #fff !default;
$black:  #000015 !default;

$gray-base:  #3c4b64 !default;
$gray-100:   #F7FAFC !default;
$gray-200:   #EDF2F7 !default;
$gray-300:   #E2E8F0 !default;
$gray-400:   #CBD5E0 !default;
$gray-500:   #A0AEC0 !default;
$gray-600:   #718096 !default;
$gray-700:   #4A5568 !default;
$gray-800:   #2D3748 !default;
$gray-900:   #1A202C !default;

$grays: () !default;
// stylelint-disable-next-line scss/dollar-variable-default
$grays: map-merge(
  (
    "100":  $gray-100,
    "200":  $gray-200,
    "300":  $gray-300,
    "400":  $gray-400,
    "500":  $gray-500,
    "600":  $gray-600,
    "700":  $gray-700,
    "800":  $gray-800,
    "900":  $gray-900
  ),
  $grays
);

$primary-base:  #319795 !default;
$primary-100:   #E6FFFA !default;
$primary-200:   #B2F5EA !default;
$primary-300:   #81E6D9 !default;
$primary-400:   #4FD1C5 !default;
$primary-500:   #38B2AC !default;
$primary-600:   #319795 !default;
$primary-700:   #2C7A7B !default;
$primary-800:   #285E61 !default;
$primary-900:   #234E52 !default;

$primary-dark:  #234E52 !default;
$primary:       #319795 !default;
$primary-50:    #81E6D9 !default;
$primary-25:    #E6FFFA !default;

$secondary-base:  #718096 !default;

$secondary-100:   #F7FAFC !default;
$secondary-200:   #EDF2F7 !default;
$secondary-300:   #E2E8F0 !default;
$secondary-400:   #CBD5E0 !default;
$secondary-500:   #A0AEC0 !default;
$secondary-600:   #718096 !default;
$secondary-700:   #4A5568 !default;
$secondary-800:   #2D3748 !default;
$secondary-900:   #1A202C !default;

$secondary-dark:  #1A202C !default;
$secondary:       #718096 !default;
$secondary-50:    #CBD5E0 !default;
$secondary-25:    #EDF2F7 !default;


$danger-dark:  #9B2C2C !default;
$danger:       #E53E3E !default;
$danger-50:    #FC8181 !default;
$danger-25:    #FED7D7 !default;

$info-dark:  #2C5282 !default;
$info:       #3182CE !default;
$info-50:    #63B3ED !default;
$info-25:    #BEE3F8 !default;

$success-dark:  #276749 !default;
$success:       #38A169 !default;
$success-50:    #68D391 !default;
$success-25:    #C6F6D5 !default;

$warning-dark:  #975A16 !default;
$warning:       #D69E2E !default;
$warning-50:    #F6E05E !default;
$warning-25:    #FEFCBF !default;

$light:  $gray-100 !default;
$dark:   $gray-800 !default;

$violet:   #5A67D8 !default;
$violet-light:   #7F9CF5 !default;
$purple:   #805AD5 !default;
$purple-light:   #B794F4 !default;
$red:   #E53E3E !default;
$red-light:   #FC8181 !default;
$orange:   #DD6B20 !default;
$orange-light:   #F6AD55 !default;
$yellow:   #D69E2E !default;
$yellow-light:   #F6E05E !default;
$green:   #38A169 !default;
$green-light:   #68D391 !default;
$cyan:   #319795 !default;
$cyan-light:   #4FD1C5 !default;
$blue:   #3182CE !default;
$blue-light:   #63B3ED !default;
$gray:   #687386 !default;
$gray-light:   #8792a1 !default;

$pink:  #D53F8C !default;

$theme-colors: () !default;
// stylelint-disable-next-line scss/dollar-variable-default
$theme-colors: map-merge(
  (
    "primary":          $violet,
    "secondary":        $secondary-25,
    "success":          $green,
    "info":             $cyan,
    "warning":          $yellow,
    "danger":           $red,
    "light":            $light,
    "dark":             $dark,
    "violet":           $violet,
    "violet-light":     $violet-light,
    "purple":           $purple,
    "purple-light":     $purple-light,
    "red":              $red,
    "red-light":        $red-light,
    "orange":           $orange,
    "orange-light":     $orange-light,
    "yellow":           $yellow,
    "yellow-light":     $yellow-light,
    "green":            $green,
    "green-light":      $green-light,
    "cyan":             $cyan,
    "cyan-light":       $cyan-light,
    "blue":             $blue,
    "blue-light":       $blue-light,
    "gray":             $gray,
    "gray-light":       $gray-light,
  ),
  $theme-colors
);

// Set a specific jump point for requesting color jumps
$theme-color-interval:  8% !default;

// The yiq lightness value that determines when the lightness of color changes from "dark" to "light". Acceptable values are between 0 and 255.
$yiq-contrasted-threshold:  150 !default;

// Customize the light and dark text colors for use in our YIQ color contrast function.
$yiq-text-dark:   $gray-900 !default;
$yiq-text-light:  $white !default;

$yiq-theme-map: () !default;
// stylelint-disable-next-line scss/dollar-variable-default
$yiq-theme-map: map-merge(
  (
    default: (
      "yiq-text-dark":  $yiq-text-dark,
      "yiq-text-light":  $yiq-text-light
    )
  ),
  $yiq-theme-map
);

// TODO: Move to better place
// Characters which are escaped by the escape-svg function
$escaped-characters: (
  ("<","%3c"),
  (">","%3e"),
  ("#","%23"),
  ("(","%28"),
  (")","%29"),
) !default;
